# pygmalion-web-frontend

An attempt at making an unofficial frontend website for Pygmalion AI.

## Prerequisites

- NodeJS and npm
- [json-server](https://www.npmjs.com/package/json-server) is used to fetch placeholder data from `db-fake/db.json`.

## Install
Clone the repo and then install.
```bash
npm install
```

## Usage
Run the frontend.
```bash
npm run dev
```
Then go to `http://localhost:5173/`

Run the JSON server in another shell window.
```bash
json-server --watch db-fake/db.json
```
By default, the data is fetched from `http://localhost:3000`